rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions | Variables
parseScript.c File Reference
RPMBUILD.

Parse install-time script section from spec file. More...

`#include "system.h"`
`#include <rpmio.h>`
`#include <rpmiotypes.h>`
`#include <rpmlog.h>`
`#include "rpmbuild.h"`
`#include "debug.h"`
`#include <rpmlua.h>`
Include dependency graph for parseScript.c:

Go to the source code of this file.

## Macros
#define | _RPMEVR_INTERNAL

## Functions
static rpmuint32_t | addTriggerIndex (Package pkg, const char *file, const char *script, const char *prog)
int | parseScript (Spec spec, int parsePart)
| Parse %pre et al scriptlets from a spec file. More...

## Variables
static const char * | name = NULL
static const char * | prog = NULL
static const char * | file = NULL
static struct poptOption | optionsTable []

## Detailed Description

Parse install-time script section from spec file.

Definition in file parseScript.c.

## Macro Definition Documentation

#define _RPMEVR_INTERNAL

Definition at line 11 of file parseScript.c.

## Function Documentation

static rpmuint32_t addTriggerIndex | ( | Package | pkg,
|  | const char * | file,
|  | const char * | script,
|  | const char * | prog
| ) |  |
| static

Definition at line 21 of file parseScript.c.

References file, TriggerFileEntry::fileName, TriggerFileEntry::index, TriggerFileEntry::next, TriggerFileEntry::prog, TriggerFileEntry::script, Package_s::triggerFiles, xcalloc(), and xstrdup().

Referenced by parseScript().

## Variable Documentation

const char* file = NULL
| static

Definition at line 60 of file parseScript.c.

Referenced by addTriggerIndex(), and parseScript().

const char* name = NULL
| static

Definition at line 56 of file parseScript.c.

struct poptOption optionsTable[]
| static

Initial value:
= {
{ NULL, 'p', POPT_ARG_STRING, &prog, 'p', NULL, NULL},
{ NULL, 'n', POPT_ARG_STRING, &name, 'n', NULL, NULL},
{ NULL, 'f', POPT_ARG_STRING, &file, 'f', NULL, NULL},
{ 0, 0, 0, 0, 0, NULL, NULL}
}

Definition at line 62 of file parseScript.c.

Referenced by parseScript().

const char* prog = NULL
| static

Definition at line 58 of file parseScript.c.

Referenced by initSourceHeaderScriptlet(), and parseScript().